var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
// import { Input } from "@alifd/next";
import ConfigProvider from '../config-provider';
import React, { Component } from 'react';
import cls from 'classnames';
import { Button as NextButton } from '@alifd/next';
class LinkGroup extends Component {
    render() {
        const _a = this.props, { prefix = 'next-', className, size = 'medium' } = _a, otherProps = __rest(_a, ["prefix", "className", "size"]);
        return (React.createElement(NextButton.Group, Object.assign({}, otherProps, { size: size, className: cls(className, {
                [`${prefix}link-group`]: true,
                [`${prefix}link-group-small`]: size === 'small',
                [`${prefix}link-group-medium`]: size === 'medium',
                [`${prefix}link-group-large`]: size === 'large',
            }) })));
    }
}
class Link extends Component {
    render() {
        const _a = this.props, { prefix = 'next-', href, className } = _a, otherProps = __rest(_a, ["prefix", "href", "className"]);
        // right 模式
        return (React.createElement(NextButton, Object.assign({}, otherProps, { text: true, prefix: prefix, href: href, target: "_blank", component: "a", className: cls(className, {
                [`${prefix}link`]: true,
            }) })));
    }
}
Link.Group = ConfigProvider.config(LinkGroup);
export default ConfigProvider.config(Link);
